curl https://api.tapkit.ai/v1/phones/$PHONE_ID/status \
-H "X-API-Key: $TAPKIT_API_KEY"
{
"phone_id": "d9fb00a7-1c7a-44dc-88f6-d06ba5061fdd",
"phone_name": "Test phone",
"connection_status": "online",
"width": 1170,
"height": 2532
}
Phones
Get phone status
Check whether a phone is connected
GET
/
phones
/
{phone_id}
/
status
curl https://api.tapkit.ai/v1/phones/$PHONE_ID/status \
-H "X-API-Key: $TAPKIT_API_KEY"
{
"phone_id": "d9fb00a7-1c7a-44dc-88f6-d06ba5061fdd",
"phone_name": "Test phone",
"connection_status": "online",
"width": 1170,
"height": 2532
}
string
required
The phone’s ID, from List phones.
Response
string
The phone’s ID.
string
The phone’s TapKit name, or the name it reports if you haven’t renamed it.
string
online, available, or offline. See List phones.integer | null
Screen width in pixels.
integer | null
Screen height in pixels.
curl https://api.tapkit.ai/v1/phones/$PHONE_ID/status \
-H "X-API-Key: $TAPKIT_API_KEY"
{
"phone_id": "d9fb00a7-1c7a-44dc-88f6-d06ba5061fdd",
"phone_name": "Test phone",
"connection_status": "online",
"width": 1170,
"height": 2532
}